// This is a trivial program, used to convert a text file into
// a C source for inclusion. Used here to unify the program's
// help and manpage source (yallgs_help.txt).

#include <cstdio>

int main(int argc,char** argv) {
  int lastc=-1;
  int c;

  while((c = fgetc(stdin)) != EOF) {
    // we process double slash escapes because txt2an does
    // we also eat backquotes as they are exclusively used to
    //    stop txt2man from processing the formulas as bulleted lists
    if (!(((c==lastc)&&(c=='\\'))|| (c=='`')))  
      printf("'\\x%X',", (unsigned)c);
    lastc=c;
  }
  printf("'\\0'");
}
